Bug 412955

Summary: Kontact crashed when I marked an expired task finished
Product: [Applications] korganizer Reporter: Szőts Ákos <szotsaki>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED WORKSFORME    
Severity: crash CC: gjditchfield, szotsaki
Priority: NOR Keywords: drkonqi
Version: 5.12.1   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi

Description Szőts Ákos 2019-10-15 05:13:05 UTC
Application: kontact (5.12.1)

Qt Version: 5.13.1
Frameworks Version: 5.62.0
Operating System: Linux 5.2.14-1-default x86_64
Distribution (Platform): openSUSE RPMs

-- Information about the crash:
- What I was doing when the application crashed:

I opened Kontact, went to Tasks tab in KOrganizer part, reversed the sorting of the "Name" column, opened up the second level of the TreeView, therefore many subtasks got visible, scrolled to an expired task (indicated with red backround), clicked on its checkbutton to mark as finished, then Kontact crashed immediately.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
29	  return SYSCALL_CANCEL (poll, fds, nfds, timeout);
[Current thread is 1 (Thread 0x7efbee215a80 (LWP 12303))]

Thread 23 (Thread 0x7efbaeffd700 (LWP 13864)):
#0  futex_reltimed_wait_cancelable (private=0, reltime=0x7efbaeffc840, expected=0, futex_word=0x7efbaeffca08) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7efbaeffc8e0, mutex=0x7efbaeffc9b8, cond=0x7efbaeffc9e0) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7efbaeffc9e0, mutex=0x7efbaeffc9b8, abstime=0x7efbaeffc8e0) at pthread_cond_wait.c:667
#3  0x00007efbf66b6486 in base::ConditionVariable::TimedWait () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:127
#4  0x00007efbf66b6e53 in base::WaitableEvent::TimedWaitUntil () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:230
#5  0x00007efbf66b6fd1 in base::WaitableEvent::TimedWait () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:162
#6  0x00007efbf666f141 in base::internal::SchedulerWorker::Delegate::WaitForWork () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:37
#7  0x00007efbf6671fdd in base::internal::SchedulerWorker::RunWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:303
#8  0x00007efbf66726d4 in base::internal::SchedulerWorker::RunPooledWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:229
#9  0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7efaea938700 (LWP 12428)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7efaea937a18) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7efaea9379c8, cond=0x7efaea9379f0) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7efaea9379f0, mutex=0x7efaea9379c8) at pthread_cond_wait.c:655
#3  0x00007efbf66b638c in base::ConditionVariable::Wait () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007efbf66b6e60 in base::WaitableEvent::TimedWaitUntil () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:232
#5  0x00007efbf66b6f8f in base::WaitableEvent::Wait () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:155
#6  0x00007efbf666f116 in base::internal::SchedulerWorker::Delegate::WaitForWork () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:35
#7  0x00007efbf667232b in base::internal::SchedulerWorker::RunWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:331
#8  0x00007efbf6672714 in base::internal::SchedulerWorker::RunSharedWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:241
#9  0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7efaeb6f1700 (LWP 12380)):
#0  __GI___libc_read (nbytes=16, buf=0x7efaeb6f0910, fd=114) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=114, buf=0x7efaeb6f0910, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007efbfc61370f in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007efbfc65fcbe in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007efbfc661372 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007efbfc66149f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007efbfe2cb99b in QEventDispatcherGlib::processEvents (this=0x7efad8000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007efbfe2740db in QEventLoop::exec (this=this@entry=0x7efaeb6f0b20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#8  0x00007efbfe0ac021 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#9  0x00007efbfe0ad1a2 in QThreadPrivate::start (arg=0x5655582babc0) at thread/qthread_unix.cpp:360
#10 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7efaebfff700 (LWP 12361)):
#0  0x00007efbff5d5cbf in __GI___poll (fds=0x7efae0004a30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007efbfc6613ce in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007efbfc66149f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007efbfe2cb99b in QEventDispatcherGlib::processEvents (this=0x7efae0000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007efbfe2740db in QEventLoop::exec (this=this@entry=0x7efaebffeb20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007efbfe0ac021 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007efbfe0ad1a2 in QThreadPrivate::start (arg=0x565557fc8e20) at thread/qthread_unix.cpp:360
#7  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7efafd34d700 (LWP 12351)):
#0  0x00007efbff5d5cbf in __GI___poll (fds=0x7efae40a31d0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007efbfc6613ce in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007efbfc66149f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007efbfe2cb99b in QEventDispatcherGlib::processEvents (this=0x7efae4000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007efbfe2740db in QEventLoop::exec (this=this@entry=0x7efafd34cb20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007efbfe0ac021 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007efbfe0ad1a2 in QThreadPrivate::start (arg=0x565557cc44d0) at thread/qthread_unix.cpp:360
#7  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7efafdb4e700 (LWP 12349)):
#0  0x00007efbff5d5cbf in __GI___poll (fds=0x7efaf0004e30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007efbfc6613ce in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007efbfc66149f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007efbfe2cb99b in QEventDispatcherGlib::processEvents (this=0x7efaf0000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007efbfe2740db in QEventLoop::exec (this=this@entry=0x7efafdb4db20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007efbfe0ac021 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007efbfe0ad1a2 in QThreadPrivate::start (arg=0x565557cf9790) at thread/qthread_unix.cpp:360
#7  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7efafe40b700 (LWP 12348)):
#0  0x00007efbff5d5cbf in __GI___poll (fds=0x7efaec004a30, nfds=1, timeout=9737) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007efbfc6613ce in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007efbfc66149f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007efbfe2cb99b in QEventDispatcherGlib::processEvents (this=0x7efaec000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007efbfe2740db in QEventLoop::exec (this=this@entry=0x7efafe40ab20, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#5  0x00007efbfe0ac021 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#6  0x00007efbfe0ad1a2 in QThreadPrivate::start (arg=0x565557d55490) at thread/qthread_unix.cpp:360
#7  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7efafffff700 (LWP 12334)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7efaffffea18) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7efaffffe9c8, cond=0x7efaffffe9f0) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7efaffffe9f0, mutex=0x7efaffffe9c8) at pthread_cond_wait.c:655
#3  0x00007efbf66b638c in base::ConditionVariable::Wait () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007efbf66b6e60 in base::WaitableEvent::TimedWaitUntil () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:232
#5  0x00007efbf66b6f8f in base::WaitableEvent::Wait () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:155
#6  0x00007efbf666f116 in base::internal::SchedulerWorker::Delegate::WaitForWork () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:35
#7  0x00007efbf667232b in base::internal::SchedulerWorker::RunWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:331
#8  0x00007efbf6672754 in base::internal::SchedulerWorker::RunDedicatedWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:253
#9  0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7efbacff9700 (LWP 12333)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007efbff5501fc in buffered_vfprintf (s=s@entry=0x7efbff6a14e0 <_IO_2_1_stderr_>, format=format@entry=0x7efbf2b9bbcc "[%s] %s\n", args=args@entry=0x7efbacff82d0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:2334
#2  0x00007efbff54d384 in __vfprintf_internal (s=0x7efbff6a14e0 <_IO_2_1_stderr_>, format=0x7efbf2b9bbcc "[%s] %s\n", ap=ap@entry=0x7efbacff82d0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:1303
#3  0x00007efbff5ef64f in ___fprintf_chk (fp=<optimized out>, flag=flag@entry=1, format=format@entry=0x7efbf2b9bbcc "[%s] %s\n") at fprintf_chk.c:33
#4  0x00007efbf2b74d3e in fprintf (__fmt=<optimized out>, __stream=<optimized out>, __stream=<optimized out>, __fmt=<optimized out>) at /usr/include/bits/stdio2.h:100
#5  event_log (msg=0x7efbacff83b0 "epoll_wait: Hib\303\241s f\303\241jlle\303\255r\303\263", severity=2) at log.c:242
#6  event_logv_ (severity=severity@entry=2, errstr=0x7efbc40b4ec5 "Hib\303\241s f\303\241jlle\303\255r\303\263", fmt=fmt@entry=0x7efbf2b9be3d "epoll_wait", ap=ap@entry=0x7efbacff87e0) at log.c:207
#7  0x00007efbf2b77925 in event_warn (fmt=fmt@entry=0x7efbf2b9be3d "epoll_wait") at log.c:118
#8  0x00007efbf2b79488 in epoll_dispatch (base=0x7efaf8001d50, tv=<optimized out>) at epoll.c:471
#9  0x00007efbf2b89df5 in event_base_loop (base=0x7efaf8001d50, flags=1) at event.c:1998
#10 0x00007efbf66bd17a in base::MessagePumpLibevent::Run () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:237
#11 0x00007efbf66492a7 in base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:150
#12 base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:121
#13 0x00007efbf668044f in base::Thread::Run () at ./../../3rdparty/chromium/base/threading/thread.cc:251
#14 base::Thread::ThreadMain () at ./../../3rdparty/chromium/base/threading/thread.cc:333
#15 0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#16 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#17 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7efbadffb700 (LWP 12331)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7efbf2fd4fb8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7efbf2fd4f68, cond=0x7efbf2fd4f90) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7efbf2fd4f90, mutex=0x7efbf2fd4f68) at pthread_cond_wait.c:655
#3  0x00007efbf2ed91fa in ?? () from /usr/lib64/libQt5Script.so.5
#4  0x00007efbf2ed921b in ?? () from /usr/lib64/libQt5Script.so.5
#5  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#6  0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7efbae7fc700 (LWP 12330)):
#0  0x00007efbff5d5cbf in __GI___poll (fds=0x7efb8c007130, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007efbf28164f2 in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007efbf2807e39 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007efbf28084bf in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007efbf2808570 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007efbf2816439 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007efbf0d1dcd8 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-13.0.so
#7  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7efbaffff700 (LWP 12328)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007efbff5501fc in buffered_vfprintf (s=s@entry=0x7efbff6a14e0 <_IO_2_1_stderr_>, format=format@entry=0x7efbf2b9bbcc "[%s] %s\n", args=args@entry=0x7efbafffe2d0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:2334
#2  0x00007efbff54d384 in __vfprintf_internal (s=0x7efbff6a14e0 <_IO_2_1_stderr_>, format=0x7efbf2b9bbcc "[%s] %s\n", ap=ap@entry=0x7efbafffe2d0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:1303
#3  0x00007efbff5ef64f in ___fprintf_chk (fp=<optimized out>, flag=flag@entry=1, format=format@entry=0x7efbf2b9bbcc "[%s] %s\n") at fprintf_chk.c:33
#4  0x00007efbf2b74d3e in fprintf (__fmt=<optimized out>, __stream=<optimized out>, __stream=<optimized out>, __fmt=<optimized out>) at /usr/include/bits/stdio2.h:100
#5  event_log (msg=0x7efbafffe3b0 "epoll_wait: Hib\303\241s f\303\241jlle\303\255r\303\263", severity=2) at log.c:242
#6  event_logv_ (severity=severity@entry=2, errstr=0x7efbc40b4ec5 "Hib\303\241s f\303\241jlle\303\255r\303\263", fmt=fmt@entry=0x7efbf2b9be3d "epoll_wait", ap=ap@entry=0x7efbafffe7e0) at log.c:207
#7  0x00007efbf2b77925 in event_warn (fmt=fmt@entry=0x7efbf2b9be3d "epoll_wait") at log.c:118
#8  0x00007efbf2b79488 in epoll_dispatch (base=0x7efb94001d50, tv=<optimized out>) at epoll.c:471
#9  0x00007efbf2b89df5 in event_base_loop (base=0x7efb94001d50, flags=1) at event.c:1998
#10 0x00007efbf66bd17a in base::MessagePumpLibevent::Run () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:237
#11 0x00007efbf66492a7 in base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:150
#12 base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:121
#13 0x00007efbf668044f in base::Thread::Run () at ./../../3rdparty/chromium/base/threading/thread.cc:251
#14 base::Thread::ThreadMain () at ./../../3rdparty/chromium/base/threading/thread.cc:333
#15 0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#16 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#17 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7efbaf7fe700 (LWP 12327)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7efbaf7fd958) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7efbaf7fd908, cond=0x7efbaf7fd930) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7efbaf7fd930, mutex=0x7efbaf7fd908) at pthread_cond_wait.c:655
#3  0x00007efbf66b638c in base::ConditionVariable::Wait () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007efbf66b6e60 in base::WaitableEvent::TimedWaitUntil () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:232
#5  0x00007efbf66b6f8f in base::WaitableEvent::Wait () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:155
#6  0x00007efbf6626cce in base::MessagePumpDefault::Run () at ./../../3rdparty/chromium/base/message_loop/message_pump_default.cc:58
#7  0x00007efbf66492a7 in base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:150
#8  base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:121
#9  0x00007efbf668044f in base::Thread::Run () at ./../../3rdparty/chromium/base/threading/thread.cc:251
#10 base::Thread::ThreadMain () at ./../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#12 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#13 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7efbc4ff9700 (LWP 12326)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x565557bcc498) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x565557bcc3d8, cond=0x565557bcc470) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x565557bcc470, mutex=0x565557bcc3d8) at pthread_cond_wait.c:655
#3  0x00007efbf66b638c in base::ConditionVariable::Wait () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007efbf70ec1e8 in cc::SingleThreadTaskGraphRunner::Run () at ./../../3rdparty/chromium/cc/raster/single_thread_task_graph_runner.cc:126
#5  0x00007efbf6685b8d in base::SimpleThread::ThreadMain () at ./../../3rdparty/chromium/base/threading/simple_thread.cc:80
#6  0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#7  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#8  0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7efbc57fa700 (LWP 12325)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x7efbc57f9958) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x7efbc57f9908, cond=0x7efbc57f9930) at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x7efbc57f9930, mutex=0x7efbc57f9908) at pthread_cond_wait.c:655
#3  0x00007efbf66b638c in base::ConditionVariable::Wait () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:75
#4  0x00007efbf66b6e60 in base::WaitableEvent::TimedWaitUntil () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:232
#5  0x00007efbf66b6f8f in base::WaitableEvent::Wait () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:155
#6  0x00007efbf6626cce in base::MessagePumpDefault::Run () at ./../../3rdparty/chromium/base/message_loop/message_pump_default.cc:58
#7  0x00007efbf66492a7 in base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:150
#8  base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:121
#9  0x00007efbf668044f in base::Thread::Run () at ./../../3rdparty/chromium/base/threading/thread.cc:251
#10 base::Thread::ThreadMain () at ./../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#12 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#13 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7efbc5ffb700 (LWP 12324)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007efbff5501fc in buffered_vfprintf (s=s@entry=0x7efbff6a14e0 <_IO_2_1_stderr_>, format=format@entry=0x7efbf2b9bbcc "[%s] %s\n", args=args@entry=0x7efbc5ffa2b0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:2334
#2  0x00007efbff54d384 in __vfprintf_internal (s=0x7efbff6a14e0 <_IO_2_1_stderr_>, format=0x7efbf2b9bbcc "[%s] %s\n", ap=ap@entry=0x7efbc5ffa2b0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:1303
#3  0x00007efbff5ef64f in ___fprintf_chk (fp=<optimized out>, flag=flag@entry=1, format=format@entry=0x7efbf2b9bbcc "[%s] %s\n") at fprintf_chk.c:33
#4  0x00007efbf2b74d3e in fprintf (__fmt=<optimized out>, __stream=<optimized out>, __stream=<optimized out>, __fmt=<optimized out>) at /usr/include/bits/stdio2.h:100
#5  event_log (msg=0x7efbc5ffa390 "epoll_wait: Hib\303\241s f\303\241jlle\303\255r\303\263", severity=2) at log.c:242
#6  event_logv_ (severity=severity@entry=2, errstr=0x7efbc40b4ec5 "Hib\303\241s f\303\241jlle\303\255r\303\263", fmt=fmt@entry=0x7efbf2b9be3d "epoll_wait", ap=ap@entry=0x7efbc5ffa7c0) at log.c:207
#7  0x00007efbf2b77925 in event_warn (fmt=fmt@entry=0x7efbf2b9be3d "epoll_wait") at log.c:118
#8  0x00007efbf2b79488 in epoll_dispatch (base=0x7efbb4001d10, tv=<optimized out>) at epoll.c:471
#9  0x00007efbf2b89df5 in event_base_loop (base=0x7efbb4001d10, flags=1) at event.c:1998
#10 0x00007efbf66bd24a in base::MessagePumpLibevent::Run () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:247
#11 0x00007efbf66492a7 in base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:150
#12 base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:121
#13 0x00007efbf5b90244 in content::BrowserProcessSubThread::IOThreadRun () at ../../3rdparty/chromium/content/browser/browser_process_sub_thread.cc:174
#14 0x00007efbf66805c8 in base::Thread::ThreadMain () at ./../../3rdparty/chromium/base/threading/thread.cc:333
#15 0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#16 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#17 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7efbc7fff700 (LWP 12320)):
#0  0x00007efbff5e0a66 in epoll_wait (epfd=36, events=events@entry=0x7efbc0002010, maxevents=32, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007efbf2b79309 in epoll_dispatch (base=0x7efbc0001d50, tv=<optimized out>) at epoll.c:465
#2  0x00007efbf2b89df5 in event_base_loop (base=0x7efbc0001d50, flags=1) at event.c:1998
#3  0x00007efbf66bd17a in base::MessagePumpLibevent::Run () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:237
#4  0x00007efbf66492a7 in base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:150
#5  base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:121
#6  0x00007efbf668044f in base::Thread::Run () at ./../../3rdparty/chromium/base/threading/thread.cc:251
#7  base::Thread::ThreadMain () at ./../../3rdparty/chromium/base/threading/thread.cc:333
#8  0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#9  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7efbe0c57700 (LWP 12319)):
#0  0x00007efbff5ad6be in __GI___waitpid (pid=12315, stat_loc=0x7efbe0c5692c, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:30
#1  0x00007efbf66b4df6 in WaitpidWithTimeout () at ./../../3rdparty/chromium/base/process/process_posix.cc:59
#2  WaitForExitWithTimeoutImpl () at ./../../3rdparty/chromium/base/process/process_posix.cc:206
#3  0x00007efbf66b5436 in base::Process::WaitForExitWithTimeout () at ./../../3rdparty/chromium/base/process/process_posix.cc:351
#4  0x00007efbf66b25f0 in ThreadMain () at ./../../3rdparty/chromium/base/process/kill_posix.cc:149
#5  0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#6  0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7efbe25ed700 (LWP 12312)):
#0  futex_reltimed_wait_cancelable (private=0, reltime=0x7efbe25ec840, expected=0, futex_word=0x7efbe25eca08) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7efbe25ec8e0, mutex=0x7efbe25ec9b8, cond=0x7efbe25ec9e0) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7efbe25ec9e0, mutex=0x7efbe25ec9b8, abstime=0x7efbe25ec8e0) at pthread_cond_wait.c:667
#3  0x00007efbf66b6486 in base::ConditionVariable::TimedWait () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:127
#4  0x00007efbf66b6e53 in base::WaitableEvent::TimedWaitUntil () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:230
#5  0x00007efbf66b6fd1 in base::WaitableEvent::TimedWait () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:162
#6  0x00007efbf666f141 in base::internal::SchedulerWorker::Delegate::WaitForWork () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:37
#7  0x00007efbf667232b in base::internal::SchedulerWorker::RunWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:331
#8  0x00007efbf66726d4 in base::internal::SchedulerWorker::RunPooledWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:229
#9  0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7efbe2dee700 (LWP 12311)):
#0  futex_reltimed_wait_cancelable (private=0, reltime=0x7efbe2ded840, expected=0, futex_word=0x7efbe2deda08) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7efbe2ded8e0, mutex=0x7efbe2ded9b8, cond=0x7efbe2ded9e0) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x7efbe2ded9e0, mutex=0x7efbe2ded9b8, abstime=0x7efbe2ded8e0) at pthread_cond_wait.c:667
#3  0x00007efbf66b6486 in base::ConditionVariable::TimedWait () at ./../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:127
#4  0x00007efbf66b6e53 in base::WaitableEvent::TimedWaitUntil () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:230
#5  0x00007efbf66b6fd1 in base::WaitableEvent::TimedWait () at ./../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:162
#6  0x00007efbf666f141 in base::internal::SchedulerWorker::Delegate::WaitForWork () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:37
#7  0x00007efbf667232b in base::internal::SchedulerWorker::RunWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:331
#8  0x00007efbf66726d4 in base::internal::SchedulerWorker::RunPooledWorker () at ./../../3rdparty/chromium/base/task/task_scheduler/scheduler_worker.cc:229
#9  0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#10 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7efbe35ef700 (LWP 12310)):
#0  __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:63
#1  0x00007efbff5501fc in buffered_vfprintf (s=s@entry=0x7efbff6a14e0 <_IO_2_1_stderr_>, format=format@entry=0x7efbf2b9bbcc "[%s] %s\n", args=args@entry=0x7efbe35ee2b0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:2334
#2  0x00007efbff54d384 in __vfprintf_internal (s=0x7efbff6a14e0 <_IO_2_1_stderr_>, format=0x7efbf2b9bbcc "[%s] %s\n", ap=ap@entry=0x7efbe35ee2b0, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:1303
#3  0x00007efbff5ef64f in ___fprintf_chk (fp=<optimized out>, flag=flag@entry=1, format=format@entry=0x7efbf2b9bbcc "[%s] %s\n") at fprintf_chk.c:33
#4  0x00007efbf2b74d3e in fprintf (__fmt=<optimized out>, __stream=<optimized out>, __stream=<optimized out>, __fmt=<optimized out>) at /usr/include/bits/stdio2.h:100
#5  event_log (msg=0x7efbe35ee390 "epoll_wait: Hib\303\241s f\303\241jlle\303\255r\303\263", severity=2) at log.c:242
#6  event_logv_ (severity=severity@entry=2, errstr=0x7efbc40b4ec5 "Hib\303\241s f\303\241jlle\303\255r\303\263", fmt=fmt@entry=0x7efbf2b9be3d "epoll_wait", ap=ap@entry=0x7efbe35ee7c0) at log.c:207
#7  0x00007efbf2b77925 in event_warn (fmt=fmt@entry=0x7efbf2b9be3d "epoll_wait") at log.c:118
#8  0x00007efbf2b79488 in epoll_dispatch (base=0x7efbd8001ea0, tv=<optimized out>) at epoll.c:471
#9  0x00007efbf2b89df5 in event_base_loop (base=0x7efbd8001ea0, flags=2) at event.c:1998
#10 0x00007efbf66bd128 in base::MessagePumpLibevent::Run () at ./../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:214
#11 0x00007efbf66492a7 in base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:150
#12 base::RunLoop::Run () at ./../../3rdparty/chromium/base/run_loop.cc:121
#13 0x00007efbf66782f4 in base::internal::ServiceThread::Run () at ./../../3rdparty/chromium/base/task/task_scheduler/service_thread.cc:61
#14 0x00007efbf66805c8 in base::Thread::ThreadMain () at ./../../3rdparty/chromium/base/threading/thread.cc:333
#15 0x00007efbf66b92c5 in ThreadFunc () at ./../../3rdparty/chromium/base/threading/platform_thread_posix.cc:81
#16 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#17 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7efbe8cdb700 (LWP 12306)):
#0  __GI___libc_read (nbytes=16, buf=0x7efbe8cda8e0, fd=19) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=19, buf=0x7efbe8cda8e0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007efbfc61370f in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007efbfc65fcbe in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007efbfc661372 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007efbfc66149f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007efbfe2cb99b in QEventDispatcherGlib::processEvents (this=0x7efbdc000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007efbfe2740db in QEventLoop::exec (this=this@entry=0x7efbe8cdaaf0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#8  0x00007efbfe0ac021 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#9  0x00007efbfd9ce4f6 in ?? () from /usr/lib64/libQt5DBus.so.5
#10 0x00007efbfe0ad1a2 in QThreadPrivate::start (arg=0x7efbfda50d80) at thread/qthread_unix.cpp:360
#11 0x00007efbfd072faa in start_thread (arg=<optimized out>) at pthread_create.c:486
#12 0x00007efbff5e073f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7efbee215a80 (LWP 12303)):
[KCrash Handler]
#5  0x00007efbfe0f29ab in QDateTime::Data::operator= (other=..., this=this@entry=0x7efbb421f500) at tools/qdatetime.cpp:3251
#6  QDateTime::operator= (this=this@entry=0x7efbb421f500, other=...) at tools/qdatetime.cpp:3251
#7  0x00007efbac531838 in KCalendarCore::Event::Private::operator= (this=0x7efbb421f500) at /usr/src/debug/kcalcore-19.08.1-1.1.x86_64/src/event.cpp:46
#8  KCalendarCore::Event::assign (other=..., this=0x565558bad9f0) at /usr/src/debug/kcalcore-19.08.1-1.1.x86_64/src/event.cpp:99
#9  KCalendarCore::Event::assign (this=0x565558bad9f0, other=...) at /usr/src/debug/kcalcore-19.08.1-1.1.x86_64/src/event.cpp:94
#10 0x00007efbac5188e2 in KCalendarCore::IncidenceBase::operator= (this=this@entry=0x565558bad9f0, other=...) at /usr/src/debug/kcalcore-19.08.1-1.1.x86_64/src/incidencebase.cpp:148
#11 0x00007efaff58f245 in Akonadi::ETMCalendarPrivate::updateItem (this=0x5655582b9a60, item=...) at /usr/src/debug/akonadi-calendar-19.08.1-1.1.x86_64/src/etmcalendar.cpp:437
#12 0x00007efaff58fdad in Akonadi::ETMCalendarPrivate::onDataChangedInFilteredModel (this=0x5655582b9a60, topLeft=..., bottomRight=...) at /usr/src/debug/akonadi-calendar-19.08.1-1.1.x86_64/src/etmcalendar.cpp:403
#13 0x00007efbfe2a0638 in QtPrivate::QSlotObjectBase::call (a=0x7ffbffff96a0, r=0x5655582b9a60, this=0x56555827fc90) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#14 QMetaObject::activate (sender=0x5655582b8590, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3789
#15 0x00007efbfe219555 in QAbstractItemModel::dataChanged (this=this@entry=0x5655582b8590, _t1=..., _t2=..., _t3=...) at .moc/moc_qabstractitemmodel.cpp:557
#16 0x00007efbfe24d398 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x5655582ccbf0, source_top_left=..., source_bottom_right=..., roles=...) at itemmodels/qsortfilterproxymodel.cpp:1480
#17 0x00007efbfe24e44f in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at itemmodels/qsortfilterproxymodel.h:189
#18 0x00007efbfe2a04d8 in QMetaObject::activate (sender=0x5655582bfb90, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3809
#19 0x00007efbfe219555 in QAbstractItemModel::dataChanged (this=this@entry=0x5655582bfb90, _t1=..., _t2=..., _t3=...) at .moc/moc_qabstractitemmodel.cpp:557
#20 0x00007efbfe24d398 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x5655582cbfb0, source_top_left=..., source_bottom_right=..., roles=...) at itemmodels/qsortfilterproxymodel.cpp:1480
#21 0x00007efbfe24e44f in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at itemmodels/qsortfilterproxymodel.h:189
#22 0x00007efbfe2a04d8 in QMetaObject::activate (sender=0x56555828af90, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3809
#23 0x00007efbfe219555 in QAbstractItemModel::dataChanged (this=this@entry=0x56555828af90, _t1=..., _t2=..., _t3=...) at .moc/moc_qabstractitemmodel.cpp:557
#24 0x00007efbfe24d398 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x5655582c1370, source_top_left=..., source_bottom_right=..., roles=...) at itemmodels/qsortfilterproxymodel.cpp:1480
#25 0x00007efbfe24e44f in QSortFilterProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at itemmodels/qsortfilterproxymodel.h:189
#26 0x00007efbfe2a04d8 in QMetaObject::activate (sender=0x565557ddc790, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3809
#27 0x00007efbfe219555 in QAbstractItemModel::dataChanged (this=this@entry=0x565557ddc790, _t1=..., _t2=..., _t3=...) at .moc/moc_qabstractitemmodel.cpp:557
#28 0x00007efbfc17b5ce in KDescendantsProxyModelPrivate::sourceDataChanged (bottomRight=..., topLeft=..., this=<optimized out>) at /usr/include/qt5/QtCore/qarraydata.h:257
#29 KDescendantsProxyModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kitemmodels-5.62.0-1.1.x86_64/build/src/KF5ItemModels_autogen/include/moc_kdescendantsproxymodel.cpp:160
#30 0x00007efbfe2a04d8 in QMetaObject::activate (sender=0x7efae40279c0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3809
#31 0x00007efbfe219555 in QAbstractItemModel::dataChanged (this=this@entry=0x7efae40279c0, _t1=..., _t2=..., _t3=...) at .moc/moc_qabstractitemmodel.cpp:557
#32 0x00007efbfdc1b97b in Akonadi::EntityTreeModelPrivate::dataChanged (this=<optimized out>, top=..., bottom=...) at /usr/include/qt5/QtCore/qarraydata.h:257
#33 0x00007efbfdc2260b in Akonadi::EntityTreeModelPrivate::monitoredItemChanged (item=..., this=0x5655582b93c0) at /usr/include/qt5/QtCore/qrefcount.h:102
#34 Akonadi::EntityTreeModel::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/akonadi-server-19.08.1-1.3.x86_64/build/src/core/KF5AkonadiCore_autogen/include/moc_entitytreemodel.cpp:235
#35 0x00007efbfe2a04d8 in QMetaObject::activate (sender=0x5655582b86b0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3809
#36 0x00007efbfdc942e7 in Akonadi::Monitor::itemChanged (this=<optimized out>, _t1=..., _t2=...) at /usr/src/debug/akonadi-server-19.08.1-1.3.x86_64/build/src/core/KF5AkonadiCore_autogen/include/moc_monitor.cpp:902
#37 0x00007efbfdc8c9d3 in Akonadi::MonitorPrivate::emitToListeners<void (Akonadi::Monitor::*)(Akonadi::Item const&, QSet<QByteArray> const&), Akonadi::Item, QSet<QByteArray> > (signal=<optimized out>, this=0x565558289e30) at /usr/src/debug/akonadi-server-19.08.1-1.3.x86_64/src/core/monitor_p.h:401
#38 Akonadi::MonitorPrivate::emitItemsNotification (this=0x565558289e30, msg_=..., items=..., collection=..., collectionDest=...) at /usr/src/debug/akonadi-server-19.08.1-1.3.x86_64/src/core/monitor_p.cpp:1067
#39 0x00007efbfdc8eda9 in Akonadi::MonitorPrivate::emitNotification (this=0x565558289e30, msg=...) at /usr/src/debug/akonadi-server-19.08.1-1.3.x86_64/src/core/monitor_p.cpp:556
#40 0x00007efbfdc90c2c in Akonadi::MonitorPrivate::dispatchNotifications (this=0x565558289e30) at /usr/src/debug/akonadi-server-19.08.1-1.3.x86_64/src/core/monitor_p.cpp:1001
#41 0x00007efbfdc92187 in Akonadi::MonitorPrivate::slotNotify (this=0x565558289e30, msg=...) at /usr/src/debug/akonadi-server-19.08.1-1.3.x86_64/src/core/monitor_p.cpp:970
#42 0x00007efbfdc8d594 in Akonadi::MonitorPrivate::handleCommands (this=0x565558289e30) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:517
#43 0x00007efbfdc98fb3 in Akonadi::Monitor::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/akonadi-server-19.08.1-1.3.x86_64/build/src/core/KF5AkonadiCore_autogen/include/moc_monitor.cpp:339
#44 0x00007efbfe2a0eea in QObject::event (this=0x5655582b86b0, e=<optimized out>) at kernel/qobject.cpp:1260
#45 0x00007efbfeca9c62 in QApplicationPrivate::notify_helper (this=this@entry=0x5655575a9f50, receiver=receiver@entry=0x5655582b86b0, e=e@entry=0x7efad80dc2e0) at kernel/qapplication.cpp:3703
#46 0x00007efbfecb31e0 in QApplication::notify (this=0x7ffbffffb100, receiver=0x5655582b86b0, e=0x7efad80dc2e0) at kernel/qapplication.cpp:3449
#47 0x00007efbfe275572 in QCoreApplication::notifyInternal2 (receiver=0x5655582b86b0, event=0x7efad80dc2e0) at ../../include/QtCore/../../src/corelib/kernel/qobject.h:143
#48 0x00007efbfe278208 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x5655575a7ee0) at kernel/qcoreapplication.cpp:1840
#49 0x00007efbfe2cc343 in postEventSourceDispatch (s=0x565557671420) at kernel/qeventdispatcher_glib.cpp:277
#50 0x00007efbfc65f6b3 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#51 0x00007efbfc661460 in ?? () from /usr/lib64/libglib-2.0.so.0
#52 0x00007efbfc66149f in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#53 0x00007efbfe2cb981 in QEventDispatcherGlib::processEvents (this=0x565557673540, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#54 0x00007efbfe2740db in QEventLoop::exec (this=this@entry=0x7ffbffffafd0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#55 0x00007efbfe27bd42 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#56 0x00005655555582f3 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kontact-19.08.1-1.1.x86_64/src/main.cpp:229
[Inferior 1 (process 12303) detached]

Reported using DrKonqi
Comment 1 Szőts Ákos 2020-09-11 14:07:38 UTC
Created attachment 131565 [details]
New crash information added by DrKonqi

kontact (5.15.0 (20.08.0)) using Qt 5.15.0

- What I was doing when the application crashed:

Kontact was in background, I was not using it.

I was installing a new version of the CalDav server, Radicale. Three minutes after it successfully restarted, Kontact crashed.

-- Backtrace (Reduced):
#4  0x00007f8976003568 in QDateTime::operator= (this=this@entry=0x5564c90777a0, other=...) at time/qdatetime.cpp:3772
#5  0x00007f8921054758 in KCalendarCore::Event::Private::operator= (this=0x5564c90777a0) at /usr/src/debug/kcalendarcore-5.73.0-1.2.x86_64/src/event.cpp:33
#6  KCalendarCore::Event::assign (other=..., this=0x5564c8fdc140) at /usr/src/debug/kcalendarcore-5.73.0-1.2.x86_64/src/event.cpp:74
#7  KCalendarCore::Event::assign (this=0x5564c8fdc140, other=...) at /usr/src/debug/kcalendarcore-5.73.0-1.2.x86_64/src/event.cpp:69
#8  0x00007f892106be62 in KCalendarCore::IncidenceBase::operator= (this=this@entry=0x5564c8fdc140, other=...) at /usr/src/debug/kcalendarcore-5.73.0-1.2.x86_64/src/incidencebase.cpp:135
Comment 2 Justin Zobel 2022-10-06 06:37:21 UTC
Thank you for reporting this crash in KDE software. As it has been a while since this issue was reported, can we please ask you to see if you can reproduce the crash with a recent software version?

If you can reproduce the issue, please change the status to "CONFIRMED" when replying. Thank you!
Comment 3 Bug Janitor Service 2022-10-21 05:00:52 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 4 Bug Janitor Service 2022-11-05 05:09:16 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!